Viewport scales

I edited the DefaultScaleList and that's all good and dandy but then comes the fact that the 'standard scale' in the properties bar looks at the ScaleList and not the DefaultScalelist.
This means that all those scales that we have no use for, imperical ones amount others, are still mentioned in it.

The only way I've found to weed those unneeded ones out is by using the button in the ScaleListEdit screen to reset the list to the ones on the DefaullScaleList. Hnwever it doesn't take over the sequence as used in the DefaultScaleList which means that it's jumbled up. And seeing as that the sequence shown in the properties bar foillows the one in the ScaleListEdit it just isn't nice to work with.

see image

Is there truly no better way to make this look decent and do this without additional input of the user, in other words : automatically?

Secondly, does someone now of a Lisp routine that takes the burden away from the user to have to fiddle around with 1/Xnp or the DefaultScaleList but instead let's one use a dynamic way to adjust the scale of a viewport by using a list of preset scales.

Comments

  • Use the ScaleListEdit command to add or remove scales. Here you can also control the order of the scales by moving scales up/down in the list.

  • Louis,

    Thank you for your responds but I know I can use ScaleListEdit to edit the list of scales and that one can re-order the list.

    The point is however that I don't want to be adding/removing scales nor re-ordering them every time that a viewport needs to be scaled which boils down to every time that a drawing gets made. Which is why i use the DefaultScaleList.

    There surely must be a more easier way. A way that needs less input of the user so that he/she can do what they are paid for (designing) instead of having to fiddle around with lists.

  • Louis_Verdonck
    edited February 2018

    Peter, since the scalelist is saved in the drawing, edit the scalelist in your template drawing(s).

  • Louis,

    Ok, thanks.

  • @Peter_DV said:
    .... does someone know of a Lisp routine that takes the burden away from the user to have to fiddle around with 1/Xnp or the DefaultScaleList but instead let's one use a dynamic way to adjust the scale of a viewport by using a list of preset scales?

    (defun c:SVP (/ NotPS NoSS SF SFI ss1 N vpN ObjN) (defun NotPS () (prompt "\nOnly works in Paperspace. ") (exit) ) (if (> (getvar "CVPORT") 1) (NotPS) ) ;; CVport: Pspace=1; Mspace=2; Vport=2+ (initget 7) ; prevents Negative, Zero, or Null input (setq SF (getreal "Scale Factor: ")) (setq SFI (/ 1.0 SF)) (defun NoSS () (princ "\nNo viewport selected. ") (exit) ) (setq ss1 (ssget '((0 . "VIEWPORT")) ) ) ; selection filtered - viewports only (if (not ss1) (NoSS)) (setq N 0) (while (< N (sslength ss1) ) (setq vpN (ssname ss1 N) ) (setq ObjN (vlax-ename->vla-object vpN)) (Vla-Put-CustomScale ObjN SFI) (setq N (+ N 1)) ) (sssetfirst nil ss1) )

  • Anthony;

    Thank you kindly. Looks very promising.

This discussion has been closed.